"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLayoutContext = exports.LayoutProvider = void 0;
const react_1 = __importStar(require("react"));
const react_alert_1 = require("react-alert");
const react_alert_template_basic_1 = __importDefault(require("react-alert-template-basic"));
const constants_1 = require("../constants");
const theme_1 = require("../theme");
const LayoutContext = react_1.createContext({});
function LayoutProvider({ children }) {
    const [modalWidth, setModalWidth] = react_1.useState(500);
    const [loading, setLoading] = react_1.useState(false);
    const [modalStatus, setModalStatus] = react_1.useState(theme_1.EStatusColor.IDLE);
    const closeModal = () => {
        const modalRoot = document.getElementById(constants_1.WEB_UI_MODAL_ID_SELECTOR);
        if (modalRoot != null) {
            modalRoot.innerHTML = "";
        }
    };
    const initialState = {
        setModalWidth,
        modalWidth,
        setModalStatus,
        modalStatus,
        closeModal,
        loading,
        setLoading,
    };
    const alertOptions = {
        timeout: 5000,
        position: react_alert_1.positions.BOTTOM_CENTER,
    };
    return (react_1.default.createElement(LayoutContext.Provider, { value: initialState },
        react_1.default.createElement(react_alert_1.Provider, { template: react_alert_template_basic_1.default, ...alertOptions }, children)));
}
exports.LayoutProvider = LayoutProvider;
const useLayoutContext = () => react_1.useContext(LayoutContext);
exports.useLayoutContext = useLayoutContext;
//# sourceMappingURL=Layout.js.map