"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@material-ui/core");
const contexts_1 = require("../../contexts");
const react_1 = __importDefault(require("react"));
const components_1 = require("../../components");
const hooks_1 = require("../../hooks");
const BalancesSummaryWidget_style_1 = require("../../widgets/BalancesSummaryWidget/BalancesSummaryWidget.style");
const BalancesSummaryWidget = ({ noLabel, includeBoxWrapper, bodyStyle, }) => {
    const { loading, balancesByChannelAddresses } = hooks_1.useBalances();
    const { viewUtils } = contexts_1.useStoreContext();
    const classes = BalancesSummaryWidget_style_1.useStyles();
    const CustomBox = includeBoxWrapper ? components_1.BoxWrapper : core_1.Box;
    const channelAddresses = [...balancesByChannelAddresses.keys()];
    return (react_1.default.createElement(CustomBox, { className: !includeBoxWrapper ? classes.balancesWrapper : "", label: !noLabel ? "YOUR BALANCES" : undefined, bodyStyle: bodyStyle, hasEmptyState: channelAddresses.length === 0 && !loading, emptyState: react_1.default.createElement(components_1.EmptyState, { info: "You don't have any state channels yet, you need to authorize a\n          gateway first." }) },
        react_1.default.createElement(core_1.Grid, { container: true, spacing: 3 }, channelAddresses.map((channelAddress) => (react_1.default.createElement(core_1.Grid, { item: true, xs: 4 },
            react_1.default.createElement(core_1.Box, null,
                react_1.default.createElement(core_1.Box, null, channelAddress),
                balancesByChannelAddresses.get(channelAddress) ? (react_1.default.createElement(core_1.Box, null,
                    react_1.default.createElement(components_1.BalanceList, { balances: balancesByChannelAddresses.get(channelAddress), viewUtils: viewUtils, noBorder: includeBoxWrapper }))) : (react_1.default.createElement(core_1.Box, null, "No balances yet for this channel address")))))))));
};
exports.default = BalancesSummaryWidget;
//# sourceMappingURL=BalancesSummaryWidget.js.map