"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@material-ui/core");
const contexts_1 = require("../../contexts");
const react_1 = __importDefault(require("react"));
const components_1 = require("../../components");
const hooks_1 = require("../../hooks");
const BalancesWidget_style_1 = require("../../widgets/BalancesWidget/BalancesWidget.style");
const BalancesWidget = ({ noLabel, includeBoxWrapper, bodyStyle, }) => {
    const { loading, balancesByChannelAddress } = hooks_1.useBalances();
    const { viewUtils } = contexts_1.useStoreContext();
    const classes = BalancesWidget_style_1.useStyles();
    const CustomBox = includeBoxWrapper ? components_1.BoxWrapper : core_1.Box;
    return (react_1.default.createElement(CustomBox, { className: !includeBoxWrapper ? classes.balancesWrapper : "", label: !noLabel ? "YOUR BALANCES" : undefined, bodyStyle: bodyStyle, hasEmptyState: balancesByChannelAddress.length === 0 && !loading, emptyState: react_1.default.createElement(components_1.EmptyState, { info: react_1.default.createElement(react_1.default.Fragment, null,
                "You don't have any balances yet, you can Fund your account from.",
                react_1.default.createElement("a", { href: "/deposit-and-withdraw" }, " here")) }) },
        react_1.default.createElement(components_1.BalanceList, { balances: balancesByChannelAddress, viewUtils: viewUtils, noBorder: includeBoxWrapper })));
};
exports.default = BalancesWidget;
//# sourceMappingURL=BalancesWidget.js.map