"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const objects_1 = require("@hypernetlabs/objects");
const core_1 = require("@material-ui/core");
const icons_1 = require("@material-ui/icons");
const react_1 = __importStar(require("react"));
const PulseLoader_1 = __importDefault(require("react-spinners/PulseLoader"));
const components_1 = require("../../components");
const hooks_1 = require("../../hooks");
const GatewaysWidget = ({ includeBoxWrapper, noLabel, bodyStyle, }) => {
    const { gatewaysMap, openGatewayIFrame, deauthorizeGateway, authorizeGateway, loading, } = hooks_1.useGateways();
    const [inputGatewayUrl, setInputGatewayUrl] = react_1.useState(objects_1.GatewayUrl(""));
    const renderGatewayAuthorization = () => {
        return (react_1.default.createElement(core_1.Box, { display: "flex", justifyContent: "space-between", alignItems: "flex-end", padding: "0px 17px 40px 70px" },
            react_1.default.createElement(core_1.Box, { flex: 1, paddingRight: "50px" },
                react_1.default.createElement(core_1.TextField, { label: "Gateway Url", value: inputGatewayUrl, fullWidth: true, onChange: (event) => {
                        setInputGatewayUrl(objects_1.GatewayUrl(event.target.value));
                    } })),
            react_1.default.createElement(core_1.Button, { size: "small", variant: "outlined", color: "primary", disabled: inputGatewayUrl == null || inputGatewayUrl == "", onClick: () => {
                    authorizeGateway(inputGatewayUrl);
                    setInputGatewayUrl(objects_1.GatewayUrl(""));
                } }, "Authorize")));
    };
    const CustomBox = includeBoxWrapper ? components_1.BoxWrapper : core_1.Box;
    if (loading) {
        return (react_1.default.createElement(CustomBox, { display: "flex", justifyContent: "center", alignItems: "center", height: 150 },
            react_1.default.createElement(PulseLoader_1.default, { color: "#b9b9b9", loading: true, size: 25 })));
    }
    const hasEmptyState = [...gatewaysMap.keys()].length === 0 && !loading;
    return (react_1.default.createElement(CustomBox, { label: !noLabel ? "YOUR SERVICES" : undefined, bodyStyle: bodyStyle, hasEmptyState: hasEmptyState, emptyState: react_1.default.createElement(core_1.Box, null,
            react_1.default.createElement(components_1.EmptyState, { info: react_1.default.createElement(react_1.default.Fragment, null, "You don't have any authorized gateways yet") }),
            renderGatewayAuthorization()) },
        react_1.default.createElement(core_1.List, null, [...gatewaysMap.keys()].map((gatewayUrl, index) => (react_1.default.createElement(core_1.Box, { key: index },
            react_1.default.createElement(core_1.ListItem, null,
                react_1.default.createElement(core_1.ListItemAvatar, null,
                    react_1.default.createElement(core_1.Tooltip, { title: gatewaysMap.get(gatewayUrl)
                            ? "View gateway application"
                            : "Gateway is inactive", placement: "top" },
                        react_1.default.createElement(core_1.Avatar, { style: {
                                cursor: gatewaysMap.get(gatewayUrl) ? "pointer" : "auto",
                            }, onClick: () => {
                                gatewaysMap.get(gatewayUrl) &&
                                    openGatewayIFrame(gatewayUrl);
                            } }, gatewaysMap.get(gatewayUrl) ? react_1.default.createElement(icons_1.Folder, null) : react_1.default.createElement(icons_1.Block, null)))),
                react_1.default.createElement(core_1.ListItemText, { primaryTypographyProps: {
                        color: gatewaysMap.get(gatewayUrl)
                            ? "textPrimary"
                            : "textSecondary",
                    }, primary: react_1.default.createElement(core_1.Tooltip, { title: gatewayUrl, disableHoverListener: gatewayUrl.length <= 36, placement: "top" },
                        react_1.default.createElement(core_1.Box, null, gatewayUrl.length > 36
                            ? `${gatewayUrl.substr(0, 36)}...`
                            : gatewayUrl)) }),
                react_1.default.createElement(core_1.ListItemSecondaryAction, null,
                    react_1.default.createElement(core_1.Button, { size: "small", color: "secondary", onClick: () => {
                            deauthorizeGateway(gatewayUrl);
                        } }, "Deauthorize"))),
            react_1.default.createElement(core_1.Divider, { variant: "inset" }))))),
        renderGatewayAuthorization()));
};
exports.default = GatewaysWidget;
//# sourceMappingURL=GatewaysWidget.js.map