"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const core_1 = require("@material-ui/core");
const components_1 = require("../../components");
const contexts_1 = require("../../contexts");
const objects_1 = require("@hypernetlabs/objects");
const StateChannelsWidget = ({ includeBoxWrapper, bodyStyle, }) => {
    const { coreProxy, UIEvents } = contexts_1.useStoreContext();
    const [stateChannels, setStateChannels] = react_1.useState([]);
    const [selectedStateChannelAddress, setSelectedStateChannelAddress] = react_1.useState(objects_1.EthereumAddress(""));
    react_1.useEffect(() => {
        coreProxy.getActiveStateChannels().map((_stateChannels) => {
            /* const activeStateChannels = [
              new ActiveStateChannel(
                ChainId(343434),
                PublicIdentifier("sdAsdsad"),
                EthereumAddress("asdsadsad"),
              ),
              new ActiveStateChannel(
                ChainId(34343422),
                PublicIdentifier("sdAsdsad22"),
                EthereumAddress("asdsadsad22"),
              ),
              new ActiveStateChannel(
                ChainId(34343433),
                PublicIdentifier("sdAsdsad33"),
                EthereumAddress("asdsadsad33"),
              ),
            ]; */
            setStateChannels(_stateChannels);
            if (_stateChannels[0] != null) {
                setSelectedStateChannelAddress(_stateChannels[0].channelAddress);
                UIEvents.onSelectedStateChannelChanged.next(_stateChannels[0]);
            }
        });
    }, []);
    const CustomBox = includeBoxWrapper ? components_1.BoxWrapper : core_1.Box;
    const handleChange = (event) => {
        const val = event.target.value;
        // Publish an event to other widgets
        setSelectedStateChannelAddress(val);
        UIEvents.onSelectedStateChannelChanged.next(stateChannels.find((stateChannel) => stateChannel.channelAddress === val));
    };
    return (react_1.default.createElement(CustomBox, { label: "Current state channel", bodyStyle: bodyStyle },
        react_1.default.createElement(core_1.FormControl, { style: { display: "flex", padding: "20px 200px" } },
            react_1.default.createElement(core_1.Select, { labelId: "demo-simple-select-label", id: "demo-simple-select", value: selectedStateChannelAddress, onChange: handleChange }, stateChannels.map((stateChannel) => (react_1.default.createElement(core_1.MenuItem, { key: stateChannel.channelAddress, value: stateChannel.channelAddress }, stateChannel.channelAddress)))))));
};
exports.default = StateChannelsWidget;
//# sourceMappingURL=StateChannelsWidget.js.map