"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@material-ui/core");
const react_1 = __importDefault(require("react"));
const components_1 = require("../../components");
const hooks_1 = require("../../hooks");
const FundWidget_style_1 = require("../../widgets/FundWidget/FundWidget.style");
const WithdrawWidget = ({ includeBoxWrapper, noLabel, bodyStyle, }) => {
    const { tokenSelectorOptions, selectedPaymentToken, setSelectedPaymentToken, depositFunds, withdrawFunds, setDestinationAddress, amount, setAmount, error, } = hooks_1.useFund();
    const classes = FundWidget_style_1.useStyles({ error });
    const CustomBox = includeBoxWrapper ? components_1.BoxWrapper : core_1.Box;
    return (react_1.default.createElement(CustomBox, { className: classes.wrapper, label: !noLabel ? "Withdraw Funds" : undefined, bodyStyle: bodyStyle },
        react_1.default.createElement(components_1.TokenSelector, { tokenSelectorOptions: tokenSelectorOptions, selectedPaymentToken: selectedPaymentToken, setSelectedPaymentToken: setSelectedPaymentToken }),
        react_1.default.createElement(components_1.TextInput, { label: "Amount", value: amount, onChange: setAmount }),
        react_1.default.createElement(components_1.Button, { label: "Withdraw to your metamask wallet", disabled: !(selectedPaymentToken === null || selectedPaymentToken === void 0 ? void 0 : selectedPaymentToken.address), onClick: withdrawFunds, fullWidth: true, bgColor: "linear-gradient(98deg, rgba(0,120,255,1) 0%, rgba(126,0,255,1) 100%)" })));
};
exports.default = WithdrawWidget;
//# sourceMappingURL=WithdrawWidget.js.map